Updates the equipment_family object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
equipment_family| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| name |
Name of the equipment family |
string |
Required Max length: 50 |
| description |
Description of the equipment family |
string |
Max length: 4000 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| _parent_id |
Parent Equipment Family (Parent / Child) when adding/updating equipment_family |
globally unique identifier | |
| _parent_code |
Embedded entity "equipment_family" for parent (Parent / Child) using ERP PK when adding/updating equipment_family |
string | |
| _parent_equipment_family |
Embedded entity "equipment_family" for parent (Parent / Child) when adding/updating equipment_family |
equipment_family | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "96e5131f-57ef-4792-9386-328fa6b08348",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "719b8cd8-0a97-4b1e-872c-60baed6028ca",
"_parent_code": "sample string 6",
"sales_organization_id": "58183a38-0e3c-4c0a-a763-4407a62ecc22",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "9b461151-6641-40eb-b7e0-78072ba851fd",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "bbbe6638-8698-4f09-8fed-e6033baa94a7",
"db_currency_id": "788d632a-8508-4f1a-8fb7-388940b36e89",
"db_language_id": "07f0485c-8c3c-4977-b41a-b9c748317e8e",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-04-14T05:29:46.0540734+00:00"
},
"modified_dateutc": "2026-04-14T05:29:46.0540734+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.